package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import me.qwq.doghouse.annotation.StaticAttribute;

/**
 * 评论状态
 **/
@StaticAttribute
public enum CommentStatusEnum implements IQueryableEnum {

    RELEASED(0,"审核通过"),
    WAITING(1,"审核中"),
    SPAM(2,"垃圾");

    @EnumValue
    private final int status;
    private final String note;

    CommentStatusEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }
}
